MessageResourcesConfig (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class MessageResourcesConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.MessageResourcesConfig

All Implemented Interfaces:
  Serializable

    public class MessageResourcesConfig

extends BaseConfig

A JavaBean representing the configuration information of a `<message-resources>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-08-29 23:57:50 -0400 (Mon, 29 Aug 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `factory` Fully qualified Java class name of the MessageResourcesFactory class we should use.
`protected String` | `key` The servlet context attributes key under which this MessageResources instance is stored.
`protected boolean` | `nullValue` Should we return `null` for unknown message keys?
`protected String` | `parameter` Parameter that is passed to the `createResources()` method of our MessageResourcesFactory implementation.

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`MessageResourcesConfig()`

Method Summary
`String` | `getFactory()`
`String` | `getKey()`
`boolean` | `getNull()`
`String` | `getParameter()`
`boolean` | `isEscape()` Indicates whether 'escape processing' should be performed on the error message string.
`void` | `setEscape(boolean escape)` Set whether 'escape processing' should be performed on the error message string.
`void` | `setFactory(String factory)`
`void` | `setKey(String key)`
`void` | `setNull(boolean nullValue)`
`void` | `setParameter(String parameter)`
`String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### factory

    protected String factory

  Fully qualified Java class name of the MessageResourcesFactory class we should use.

### key

    protected String key

  The servlet context attributes key under which this MessageResources instance is stored.

### nullValue

    protected boolean nullValue

  Should we return `null` for unknown message keys?

### parameter

    protected String parameter

  Parameter that is passed to the `createResources()` method of our MessageResourcesFactory implementation.

Constructor Detail

### MessageResourcesConfig

    public MessageResourcesConfig()

Method Detail

### getFactory

    public String getFactory()

### setFactory

    public void setFactory(String factory)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getNull

    public boolean getNull()

### setNull

    public void setNull(boolean nullValue)

### isEscape

    public boolean isEscape()

  Indicates whether 'escape processing' should be performed on the error message string.

  Since:
    Struts 1.2.8

### setEscape

    public void setEscape(boolean escape)

  Set whether 'escape processing' should be performed on the error message string.

  Since:
    Struts 1.2.8

### getParameter

    public String getParameter()

### setParameter

    public void setParameter(String parameter)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.